Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.processor
Class ProcessIfStartedWaitIfPausedMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractFilteringMessageProcessor
              org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
                  org.mule.lifecycle.processor.ProcessIfStartedWaitIfPausedMessageProcessor

All Implemented Interfaces:
  InterceptingMessageProcessor, MessageProcessor, MessageSource

Direct Known Subclasses:
  ProcessIfStartedWaitIfSyncPausedMessageProcessor

    public class ProcessIfStartedWaitIfPausedMessageProcessor

extends ProcessIfStartedMessageProcessor

Field Summary

Fields inherited from class org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
`lifecycleState, startable`

Fields inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`throwOnUnaccepted, unacceptedMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next`

Constructor Summary
`ProcessIfStartedWaitIfPausedMessageProcessor(Startable startable, LifecycleState lifecycleState)`

Method Summary
`protected boolean` | `accept(MuleEvent event)`
`protected boolean` | `isPaused()`
`protected MuleEvent` | `processNext(MuleEvent event)`

Methods inherited from class org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
`getStartableName, handleUnaccepted`

Methods inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`filterUnacceptedException, getUnacceptedMessageProcessor, isThrowOnUnaccepted, process, setThrowOnUnaccepted, setUnacceptedMessageProcessor`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessIfStartedWaitIfPausedMessageProcessor

    public ProcessIfStartedWaitIfPausedMessageProcessor(Startable startable,
                                                        LifecycleState lifecycleState)

Method Detail

### processNext

    protected MuleEvent processNext(MuleEvent event)
                             throws MuleException

  Overrides:
    `processNext` in class `AbstractInterceptingMessageProcessor`
  Throws:
    `MuleException`

### accept

    protected boolean accept(MuleEvent event)

  Overrides:
    `accept` in class `ProcessIfStartedMessageProcessor`

### isPaused

    protected boolean isPaused()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.